DUAL MONITORS NOT WORKING elementary OS please help

Discussion in 'Newbie Questions' started by blckdrvr1, Nov 12, 2015.

?

Capitalism vs. Socialism (if it wasn't runned by di**heads)

  1. Capitalism

    4 vote(s)
    80.0%
  2. Socialism

    1 vote(s)
    20.0%
  1. blckdrvr1

    blckdrvr1 Thread Starter
    Expand Collapse
    New Member

    Joined:
    Nov 12, 2015
    Messages:
    2
    Likes Received:
    0
    Hi, I have recently transferred into Elementary OS (elementary OS 0.3.1 Freya (64-bit), Built on Ubuntu 14.04) . I have used the Ubuntu in the past so I have some basic knowledge of how to use terminal etc. but I am more used to Windows. So here is what I am struggling with:

    -installing appropriate drivers for my graphic card (hybrid graphic card - Intel/Nvidia)
    -setting dual monitors (Laptop monitor 1366x768 + 1680x1050)

    So far I have managed to get them working the way I wanted by running these commands (LINK TO THREAD):

    Code (Text):
    xrandr | grep maximum
    giving me this output:

    Code (Text):
    Screen 0: minimum 8 x 8, current 2390 x 768, maximum 32767 x 32767
     
    then I tried:

    Code (Text):
    gtf 1680 1050 59.9
     
    resulting in:

    Code (Text):
    1680x1050 @ 59.90 Hz (GTF) hsync: 65.11 kHz; pclk: 146.89 MHz
      Modeline "1680x1050_59.90"  146.89  1680 1784 1968 2256  1050 1051 1054 1087  -HSync +Vsync
     
    then I did

    Code (Text):
    xrandr --newmode "1680x1050_59.90"  146.89  1680 1784 1968 2256  1050 1051 1054 1087  -HSync +Vsync
    and:
    Code (Text):
    xrandr --output VGA1 --mode 1680x1050_59.90
    However this does not result in the change in the resolution of the second monitor. It is so until I change it the correct resolution either in ARANDR or in the built in eOS, DISPLAYS.

    However when I log out and log back in again, my second monitor turns back to 1024x768, and I prompted with this:

    IMG_0398.JPG IMG_0398.JPG IMG_0401.JPG IMG_0398.JPG IMG_0401.JPG IMG_0398.JPG IMG_0401.JPG

    on both of the monitors, and the bars and everything gets missing, to get it back to the working order I need to unplug the VGA cable reset and then if I want to get a second monitor connected I do so and then run the xrandr commands again. Ive tried saving the setting to be runned on start still getting the same msg. ... Ive tried saving the setting of the monitor in arandr and then run it. didnt work either

    THE SECOND QUESTION IS HOW TO GET THE HYBRID CARD WORKING PROPERLY? SO FAR IN THE NVIDIA DRIVER I AM ABLE TO SWITCH BEETWEN INTEL AND NVIDIA BUT THIS REQUIRES SWITCHING THE COMPUTER OFF AND ON. I DO ALSO BELIEVE THAT THE DISPLAY I PLUG INTO THE COMPUTER IS RUNNED THROUGH NVIDIA WHEREAS THE LAPTOP SCREEN BY INTEL. IF I GO TO THE DISPLAY OR ARANDR I CAN SEE 3 SCREENS WHEN I ONLY USE TO (BOTH AFTER RUNNING XRANDR SETTINGS AND AFTER).

    WHEN I UNPLUG THE VGA I CAN SEE TWO : Built in (LVDS1) Unknown (VGA1-2 (or something) and when I plug the VGA cable VGA1 appears. Without commands in XRANDR, both VGA's have the maximum resolution of 1024x768.

    My speciffication:

    Quad-Core Intel® Core™ i5-2410M CPU @ 2.30GHz
    Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
    NVIDIA Corporation GF108M [GeForce GT 540M] (rev a1)

    Nvidia Geforce 540M, 2GB

    8GB Ram DDR3

    Laptop screen: 1368x768, VGA - 1680x1050 (i think it can go higher)

    content of files (with both monitor set up properly through xrand and that weird monitor set to inactive):

    xorg.conf.11092015

    Code (Text):
    Section "ServerLayout"
        Identifier "layout"
        Screen 0 "nvidia"
        Inactive "intel"
    EndSection

    Section "Device"
        Identifier "intel"
        Driver "intel"
        BusID "PCI:0@0:2:0"
        Option "AccelMethod" "SNA"
    EndSection

    Section "Screen"
        Identifier "intel"
        Device "intel"
    EndSection

    Section "Device"
        Identifier "nvidia"
        Driver "nvidia"
        BusID "PCI:1@0:0:0"
        Option "ConstrainCursor" "off"
    EndSection

    Section "Screen"
        Identifier "nvidia"
        Device "nvidia"
        Option "AllowEmptyInitialConfiguration" "on"
        Option "IgnoreDisplayDevices" "CRT"
    EndSection
     
    Xreset

    Code (Text):
    #!/bin/sh
    #
    # /etc/X11/Xreset
    #
    # global Xreset file -- for use by display managers

    # $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $

    set -e

    PROGNAME=Xreset
    SYSSESSIONDIR=/etc/X11/Xreset.d

    if [ ! -d "$SYSSESSIONDIR" ]; then
      # Nothing to do, exiting
      exit 0
    fi

    # use run-parts to source every file in the session directory; we source
    # instead of executing so that the variables and functions defined above
    # are available to the scripts, and so that they can pass variables to each
    # other
    SESSIONFILES=$(run-parts --list $SYSSESSIONDIR)
    if [ -n "$SESSIONFILES" ]; then
      set +e
      for SESSIONFILE in $SESSIONFILES; do
        . $SESSIONFILE
      done
      set -e
    fi

    exit 0

    # vim:set ai et sts=2 sw=2 tw=80:
    xorg.conf (didnt exist at all I made it to put a script into there (from the thread I mentioned) but I didnt)

    default display manager is set to lighdm

    Xsession

    Code (Text):
    #!/bin/sh
    #
    # /etc/X11/Xsession
    #
    # global Xsession file -- used by display managers and xinit (startx)

    # $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $

    set -e

    PROGNAME=Xsession

    message () {
      # pretty-print messages of arbitrary length; use xmessage if it
      # is available and $DISPLAY is set
      MESSAGE="$PROGNAME: $*"
      echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2
      if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
        echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
      fi
    }

    message_nonl () {
      # pretty-print messages of arbitrary length (no trailing newline); use
      # xmessage if it is available and $DISPLAY is set
      MESSAGE="$PROGNAME: $*"
      echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2;
      if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
        echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
      fi
    }

    errormsg () {
      # exit script with error
      message "$*"
      exit 1
    }

    internal_errormsg () {
      # exit script with error; essentially a "THIS SHOULD NEVER HAPPEN" message
      # One big call to message() for the sake of xmessage; if we had two then
      # the user would have dismissed the error we want reported before seeing the
      # request to report it.
      errormsg "$*" \
               "Please report the installed version of the \"x11-common\"" \
               "package and the complete text of this error message to" \
               "<debian-x@lists.debian.org>."
    }

    # initialize variables for use by all session scripts

    OPTIONFILE=/etc/X11/Xsession.options

    SYSRESOURCES=/etc/X11/Xresources
    USRRESOURCES=$HOME/.Xresources

    SYSSESSIONDIR=/etc/X11/Xsession.d
    USERXSESSION=$HOME/.xsession
    USERXSESSIONRC=$HOME/.xsessionrc
    ALTUSERXSESSION=$HOME/.Xsession
    ERRFILE=$HOME/.xsession-errors

    # attempt to create an error file; abort if we cannot
    if (umask 077 && touch "$ERRFILE") 2> /dev/null && [ -w "$ERRFILE" ] &&
      [ ! -L "$ERRFILE" ]; then
      chmod 600 "$ERRFILE"
    elif ERRFILE=$(tempfile 2> /dev/null); then
      if ! ln -sf "$ERRFILE" "${TMPDIR:=/tmp}/xsession-$USER"; then
        message "warning: unable to symlink \"$TMPDIR/xsession-$USER\" to" \
                 "\"$ERRFILE\"; look for session log/errors in" \
                 "\"$TMPDIR/xsession-$USER\"."
      fi
    else
      errormsg "unable to create X session log/error file; aborting."
    fi

    # truncate ERRFILE if it is too big to avoid disk usage DoS
    if [ "`stat -c%s \"$ERRFILE\"`" -gt 500000 ]; then
      T=`mktemp -p "$HOME"`
      tail -c 500000 "$ERRFILE" > "$T" && mv -f "$T" "$ERRFILE" || rm -f "$T"
    fi

    exec >>"$ERRFILE" 2>&1

    echo "$PROGNAME: X session started for $LOGNAME at $(date)"

    # sanity check; is our session script directory present?
    if [ ! -d "$SYSSESSIONDIR" ]; then
      errormsg "no \"$SYSSESSIONDIR\" directory found; aborting."
    fi

    # Attempt to create a file of non-zero length in /tmp; a full filesystem can
    # cause mysterious X session failures.  We do not use touch, :, or test -w
    # because they won't actually create a file with contents.  We also let standard
    # error from tempfile and echo go to the error file to aid the user in
    # determining what went wrong.
    WRITE_TEST=$(tempfile)
    if ! echo "*" >>"$WRITE_TEST"; then
      message "warning: unable to write to ${WRITE_TEST%/*}; X session may exit" \
              "with an error"
    fi
    rm -f "$WRITE_TEST"

    # use run-parts to source every file in the session directory; we source
    # instead of executing so that the variables and functions defined above
    # are available to the scripts, and so that they can pass variables to each
    # other
    SESSIONFILES=$(run-parts --list $SYSSESSIONDIR)
    if [ -n "$SESSIONFILES" ]; then
      set +e
      for SESSIONFILE in $SESSIONFILES; do
        . $SESSIONFILE
      done
      set -e
    fi

    exit 0

    # vim:set ai et sts=2 sw=2 tw=80:
    and the ARANDR setting saved as layou.sh in ~/.screenlayout (THIS IS HOW I WOULD LIKE IT TO BE ALL THE TIME LOL)

    Code (Text):
    #!/bin/sh
    xrandr --output VIRTUAL1 --off --output DP1 --off --output HDMI1 --off --output VGA-1-2 --off --output LVDS1 --mode 1366x768 --pos 0x282 --rotate normal --output VGA1 --mode 1680x1050 --pos 1367x0 --rotate normal
    My question is how to sort this out? How to get hybrid card working properly? Currently I have selected X.Org X server -- Nouveau display driver however I tried using nvidia drivers. The older versions installed through the terminal had the same issue with both monitors and after installing the newest one from nvidia page I had to reinstall elementary os coz I couldnt even get the 1366x768 on my monitor as it was set to 640x468

    here is the link to all the images (dropbox)

    https://www.dropbox.com/sh/5z526edplcsab42/AACMFwkvxWrL71fMwz1ZXlF3a?dl=0

    Please help !!!!
     
  2. blckdrvr1

    blckdrvr1 Thread Starter
    Expand Collapse
    New Member

    Joined:
    Nov 12, 2015
    Messages:
    2
    Likes Received:
    0
    Screenshot from 2015-11-12 14:16:47.png this is a screen-shot from the layout that I want
     
  3. pta

    pta
    Expand Collapse
    New Member

    Joined:
    Apr 12, 2016
    Messages:
    1
    Likes Received:
    0
    Hello, any luck with the monitor settings and the hybrid graphics? I'd like to switch to Elementary but I've an HP notebook with hybrid gfx too and two monitors.
     

Share This Page

Loading...